Akeni Pro Messenger Server Administration Guide

Akeni Pro Server
Administration Guide

(Version 1.2)

Contents

Chapter 1 |  | Getting Started
 | .: 1.1 | Pro Server Installation
 | .: 1.2 | Launching Akeni Pro Server
 | .: 1.3 | Pro Client Installation
 | .: 1.4 | Launching Akeni Pro Client

Chapter 2 |  | Server Administration
 | .: 2.1 | Setting Up Your Server Configuration
 | .: 2.1.1 | Remote Server Administration Through Admin Account
 | .: 2.1.2 | Remote Shutdown of server through the admin account
 | .: 2.1.3 | Existing users can register new accounts
 | .: 2.1.4 | Users can search contacts using given/family names
 | .: 2.1.5 | Users can ask the server to send the entire user list
 | .: 2.1.6 | All messages are logged by the server
 | .: 2.2 | Change Password of Admin

Chapter 3 |  | User Account Management
 | .: 3.1 | New User Registration
 | .: 3.2 | Disable User's Account
 | .: 3.3 | Remove User From Server
 | .: 3.4 | Change User Password

Copyright © 2003 by Akeni Systems. All rights reserved.


Contents >> Chapter 2

Chapter 1: Getting Started

1.1 Pro Server Installation

  1. Select the Akeni Pro Server installation file that matches your operating system and double-click on the file.

  2. If you are installing the commercial version of the software, or you have received an extended evaluation license key, please make sure that you have placed the license key file in the same directory as the installer.

  3. A welcome window will appear with information pertaining to the Akeni product, press the “Next” button to proceed.

  4. The license agreement will now appear. If you accept the license agreement, select “I agree with the terms of the license” and press the “Next” button to continue. Otherwise, press the “Cancel” button to exit the installation.

  5. The installer information window will now appear. Enter the applicable information and press the “Next” button to continue.

  6. Enter the password for system administrator account "admin" and enter the password again to verify the password. You will have re-install the program if you lost your password (but your data will still be intact)

  7. Select the location where you wish Akeni to be installed and where the application data should be stored. Other options include:

    • Add shortcut to Desktop – This will add a shortcut icon to your desktop.
    • Create Start Menu shortcuts – This will add Akeni to your Start menu list.
    • Start server automatically when logged into this account – This will automatically launch Akeni when you login to your system.
    • Install as Windows NT Service – This option is available on Windows NT/2000/XP, and it will allow the server to run in the background when the machine is booted, without having to log into the system. You can only install as a Service when you are logged in as the system administrator.

    Press the “Next” button to proceed.

  8. You're now ready to install. The preview window will list the options that you have selected. If you wish to make changes, press the “Back” button. Otherwise, press the “Install” button to proceed.

  9. Akeni Pro Server has now been installed. To complete the process, press the “Finish” button.

1.2 Launching Akeni Pro Server

  1. Depending on the options you selected during installation, you can start Akeni Pro Server in the following methods:

    • Double click on the “Akeni Pro Server” icon on your desktop.

    OR

    • Press the “Start” button on your system tray.
    • Select “Programs -> Akeni Pro Messenger Server -> Akeni Pro Server”.

    OR

    • Press the “Start” button on your system tray.
    • Select “Programs -> Akeni Pro Messenger Server -> Start Service”.
    • (You will see this option only if you installed the server as a Windows NT Service.)

1.3 Pro Client Installation

  1. Select the Akeni Pro Client installation file that matches your operating system and double-click on the file.

  2. If you are installing the commercial version of the software, or you have received an extended evaluation license key, please make sure that you have placed the license key file in the same directory as the installer.

  3. A welcome window will appear with information pertaining to the Akeni product, press the “Next” button to proceed.

  4. The license agreement will now appear. If you accept the license agreement, select “I agree with the terms of the license” and press the “Next” button to continue. Otherwise, press the “Cancel” button to exit the installation.

  5. The installer information window will now appear. Enter the applicable information and press the “Next” button to continue.

  6. Select the location where you wish Akeni to be installed and where the application data should be stored. Other options include:

    • Add shortcut to Desktop – This will add a shortcut icon to your desktop.
    • Create Start Menu shortcuts – This will add Akeni to your Start menu list.
    • Run this program when Windows starts – This will automatically launch Akeni when you login to your system.

    Press the “Next” button to proceed.

  7. You're now ready to install. The preview window will list the options that you have selected. If you wish to make changes, press the “Back” button. Otherwise, press the “Install” button to proceed.

  8. Akeni Pro Server has now been installed. To complete the process, press the “Finish” button.

1.4 Launching Akeni Pro Client

  1. Depending on the options you selected during installation, you can start Akeni Pro Client in the following methods:

    • Double click on the “Akeni Pro” icon on your desktop.

    OR

    • Press the “Start” button on your system tray.
    • Select “Programs -> Akeni Pro Messenger -> Akeni Pro”.

  2. Enter the "admin" account password to login to server as the Akeni Pro Server administrator:

Contents >> Chapter 2


Chapter 1 << Contents >> Chapter 3

Chapter 2: Server Administration

2.1 Setting Up Your Server Configuration

To view your server configuration settings:

  1. Select “File -> Configuration...”.

  2. This will pop up the “Console Configuration Dialog” window where you can configure your server parameters.

2.1.1 Remote server administration through the admin account

Set the check box if you would like to enable "Remote server administration through the admin account". This would allow the "admin" account to remotely access the server configuration from any workstation with Akeni Pro Client installed. If this is not checked, then you can access the admin account through the client only from the computer where the server is running.

  1. Select “Action -> Server Configuration...”.

  2. This will pop up the “Console Configuration Dialog” window where you can remotely configure your server parameters.

2.1.2 Remote shutdown of server through the admin account

Set the check box if you would like to enable "Remote shutdown of server through the admin account". This would allow the "admin" account to remotely shutdown the server from any workstation with Akeni Pro Client installed.

  1. Select “Action -> Shutdown Server...”.

  2. This will pop up the “Shutdown Confirmation Dialog” window where you will enter the "admin" password.

2.1.3 "Existing users can register new accounts" and "Activate newly registered accounts automatically"

Set the check box if you would like to enable "Existing users can register new accounts". This would allow existing users to register new user accounts. Important warning: If you have also enabled the "Activate newly registered accounts automatically" check box, then existing users can register new users and activate the new accounts WITHOUT the "admin" approval. It is best to leave "Activate newly registered accounts automatically" off except when the server is running entirely within a trusted LAN and no external access is allowed.

  1. from any existing client account, Select “Action -> Contact List -> Advanced -> Register New User...”.

  2. This will pop up the “New User Registration Dialog” where user can enter the new account information.

  3. If you set the check box "Add new user to everyone's contact list" then this new user will be automatically added on everyone's contact list.

2.1.4 "Users can search contacts using given/family names"

Set the check box if you would like to enable "Users can search contacts using given/family names". This would allow a user to search other users using given/family names.

  1. from client account, Select “Action -> Contact List -> Advanced -> Search User By Name...”.

  2. This will pop up the “Search User By Name Dialog” where user can enter the new account information.

2.1.5 "Users can ask the server to send the entire user list"

Set the check box if you would like to enable "Users can ask the server to send the entire user list". Important Warning: this feature would allow a user to ask the server to send the entire user list so that the user can add selected users into contact list. This might cause your server's user list to be exposed to the internet so the administrator might want to disable this feature if the Pro Server is connected to the internet.

  1. from client account, Select “Action -> Contact List -> Advanced -> Search User By Name...”.

  2. This will pop up the “Add To Contact List Dialog”, if the user enters blank and presses the return key, then the server will send the entire user list.

2.1.6 "Messages are saved by the server for auditing purposes"

Important Warning: The server will Automatically Shutdown once you have changed this parameter. Please do this operation during non-business hours or send warning messages to all users before changing this parameter. Set the check box if you would like to enable "messages are saved by the server for auditing purposes". If this feature is enabled, then the server will store all the messages passed between the users for auditing purposes.

Important Warning: all logs are stored as unencrypted files, so the administrator should make sure that the files are stored in a secured location where normal users can not read them, preferrably using an encrypted file system. These logs should be backup and then removed from the system to minimize potential exposure.

2.2 Change Password of Admin

To change the password of "Admin" account:

  1. Select “File -> Preferences...”.

  2. This will pop up the “Preferences Dialog”, then choose "General".

  3. Then press the "Change Password" button and it will pop up the “Change Password Dialog”.

Chapter 1 << Contents >> Chapter 3


Chapter 2 << Contents >>

Chapter 3: User Account Management

3.1 New User Registration

For a new user registration, do the following:

  1. Click on the add user icon.

    2. OR

    • Select “Action -> Contact List -> Create New Account”.

  2. The add new user dialog will now appear.

  3. Now you can enter the user's account information. In this example, a new user "petersmith" is being created

  4. After you have entered the user's information successfully, you should see the following message

3.2 Disable User's Account

To disable a user's account, do the following:

  1. Select the user you want to disable and then right mouse click. In this example a user "petersmith" is being disabled

    • Select “Contact List -> Disable Account”.

  2. The properties dialog will now appear, in this example it is showing "disable account petersmith" check box is set. Press OK to disable the account

3.3 Remove User from Server

To permanently remove a user from the server, do the following:

  1. Select the user you want to remove and then right mouse click. In this example a user "petersmith" is being removed

    • Select “Contact List -> Remove Account”.

  2. The remove user warning dialog will now appear.

3.4 Change User Password

To change the password of a user, do the following:

  1. Select the user you want to remove and then right mouse click. In this example a user "petersmith" password is being changed

    • Select “Change Password”.

  2. Now the change password dialog will appear

Chapter 2 << Contents


Akeni Pro Server Administration Guide

Akeni Pro Server

Administration Guide
(Version 1.2)

Contents

Chapter 1: Getting Started

1.1 | Pro Server Installation
1.2 | Launching Akeni Pro Server
1.3 | Pro Client Installation
1.4 | Launching Pro Client

Chapter 2: Server Administration

2.1 | Setting Up Your Server Configuration
2.1.1 | Remote Server Administration Through Admin Account
2.1.2 | Remote Shutdown of server through the admin account
2.1.3 | Existing users can register new accounts
2.1.4 | Users can search contacts using given/family names
2.1.5 | Users can ask the server to send the entire user list
2.1.6 | All messages are logged by the server
2.2 | Change Password of Admin

Chapter 3: User Account Management

3.1 | New User Registration
3.2 | Disable User's Account
3.3 | Remove User From Server
3.4 | Change User Password

Copyright © 2003 by Akeni Systems. All rights reserved.


Akeni Pro Server Administration Guide

Akeni Pro Server
Administration Guide

(Version 1.2)

.: Framed Version :. .: Non-Framed Version :.

Copyright © 2003 by Akeni Systems. All rights reserved.